---
name: "🐛 Bug Report"
about: Report a reproducible bug or regression.
title: ''
labels: requires triage, bug
assignees: ''

---

<!--
  Please follow the template.  If you don't, your issue may be closed.

  Have a question?  This is the TypeORM issue tracker - and not the right place
  for general support or questions.  Instead, check the "Support" Documentation
  on the best places to ask questions!

  https://github.com/typeorm/typeorm/blob/master/docs/support.md
-->

## Issue Description

### Expected Behavior

<!--
  A clear and concise description of what you expected to happen.
-->


### Actual Behavior

<!--
  A clear and concise description of what actually happened.

  Please wrap any error messages or output in code tags, instead of images.
-->

```
// include the output in code tags like these!
```


### Steps to Reproduce

<!--
  Your bug will be investigated much faster if we can run your code and it doesn't
  have dependencies other than TypeORM. Issues without reproduction steps or
  code examples may be closed as not actionable.

  Please try to provide a Minimal, Complete, and Verifiable example.
  http://stackoverflow.com/help/mcve
-->

1.
2.

```typescript
// insert code here
```

### My Environment

<!--
  Please add any other relevant dependencies to this table at the end.
  For example: Electron, React Native, or NestJS.
-->

| Dependency          | Version  |
| ---                 | ---      |
| Operating System    |          |
| Node.js version     | vX.Y.ZZZ | <!-- run `node -v` to obtain this -->
| Typescript version  | vX.Y.ZZZ | <!-- run `npm list typescript` to obtain this -->
| TypeORM version     | vX.Y.ZZZ | <!-- run `npm list typeorm` to obtain this -->


### Additional Context

<!--
  Add any other context about the bug report here.
-->


### Relevant Database Driver(s)

<!--
  Please include the relevant database drivers to your issue.

  Please include an `x` inside the brackets like so:

  - [ ] `cockroachdb`
  - [x] `cordova`
  - [ ] `expo`
-->

- [ ] `aurora-data-api`
- [ ] `aurora-data-api-pg`
- [ ] `better-sqlite3`
- [ ] `cockroachdb`
- [ ] `cordova`
- [ ] `expo`
- [ ] `mongodb`
- [ ] `mysql`
- [ ] `nativescript`
- [ ] `oracle`
- [ ] `postgres`
- [ ] `react-native`
- [ ] `sap`
- [ ] `sqlite`
- [ ] `sqlite-abstract`
- [ ] `sqljs`
- [ ] `sqlserver`


### Are you willing to resolve this issue by submitting a Pull Request?

<!--
  Remember that first-time contributors are welcome! 🙌
-->

- [ ] Yes, I have the time, and I know how to start.
- [ ] Yes, I have the time, but I don't know how to start. I would need guidance.
- [ ] No, I don't have the time, although I believe I could do it if I had the time...
- [ ] No, I don't have the time and I wouldn't even know how to start.


<!--
  👋 Have a great day and thank you for the bug report!
-->
