---
name: 📝 Documentation Issue
about: Documentation is unclear or otherwise insufficient.
title: ''
labels: documentation, requires triage
assignees: ''

---

<!--
  Please follow the template.  If you don't, your issue may be closed.

  Have a question?  This is the TypeORM issue tracker - and not the right place
  for general support or questions.  Instead, check the "Support" Documentation
  on the best places to ask questions!

  https://github.com/typeorm/typeorm/blob/master/docs/support.md
-->

## Documentation Issue

### What was unclear or otherwise insufficient?

<!--
  If relevant, Please be clear about the documentation file,
  as well as the location within the file.  Link to the documentation
  in the repository.

  If the page does not exist, please be clear why a new documentation
  section is needed.
-->


### Recommended Fix

<!--
  How should we fix this documentation issue?

  Should we add examples, clarify the language, or drop the page entirely?
-->


### Additional Context

<!--
  Add any other context about the documentation issue here.
-->


### Relevant Database Driver(s)

<!--
  Please include the relevant database drivers to your feature, if any.
-->

- [ ] `aurora-data-api`
- [ ] `aurora-data-api-pg`
- [ ] `better-sqlite3`
- [ ] `cockroachdb`
- [ ] `cordova`
- [ ] `expo`
- [ ] `mongodb`
- [ ] `mysql`
- [ ] `nativescript`
- [ ] `oracle`
- [ ] `postgres`
- [ ] `react-native`
- [ ] `sap`
- [ ] `sqlite`
- [ ] `sqlite-abstract`
- [ ] `sqljs`
- [ ] `sqlserver`


### Are you willing to resolve this issue by submitting a Pull Request?

<!--
  Remember that first-time contributors are welcome! 🙌
-->

- [ ] Yes, I have the time, and I know how to start.
- [ ] Yes, I have the time, but I don't know how to start. I would need guidance.
- [ ] No, I don't have the time, although I believe I could do it if I had the time...
- [ ] No, I don't have the time and I wouldn't even know how to start.


<!--
  👋 Have a great day and thank you for the documentation problem report!
-->
